validNames {raster} | R Documentation

## Create valid names

### Description

Create a set of valid names (trimmed, no duplicates, not starting with a number).

### Usage

    validNames(x, prefix='layer')

### Arguments

`x` | character
`prefix` | character string used if x is empty

### Value

character

### See Also

`make.names`

### Examples

    validNames(c('a', 'a', '', '1', NA, 'b', 'a'))

[Package raster version 2.5-2 Index]